
import os
import json
import re
import random
import string

def generate_random_string(length=10):
    letters = string.ascii_lowercase
    return ''.join(random.choice(letters) for i in range(length))

def xxx(arg1, arg2):
    # 创建一个目录
    if not os.path.exists(arg1):
        os.makedirs(arg1)
    
    # 将字符串写入文件
    with open(os.path.join(arg1, arg2), 'w') as file:
        file.write(generate_random_string())
    
    # 读取文件内容并转换为JSON
    with open(os.path.join(arg1, arg2), 'r') as file:
        content = file.read()
        json_data = json.loads(content)
    
    # 使用正则表达式查找所有数字
    numbers = re.findall(r'\d+', content)
    
    # 使用random模块随机选择一个数字
    random_number = random.choice(numbers)
    
    return random_number



